package com.abbidot.baselibrary.network.exception

/**
 * 网络错误码返回
 */
class NetworkErrorCodeException private constructor(val code: Int, message: String) :
    RuntimeException(message) {

    override fun toString(): String {
        return "$code"
    }

    companion object {
        fun of(code: Int, message: String) = NetworkErrorCodeException(code, message)
    }

}